atkmm: Atk::Implementor Class Reference

atkmm 2.24.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Atk::Implementor Class Reference

`#include <atkmm/implementor.h>`

Inheritance diagram for Atk::Implementor:
[legend]

## Public Member Functions
| Implementor (Implementor&& src) noexcept
Implementor& | operator= (Implementor&& src) noexcept
virtual | ~Implementor () noexcept
AtkImplementor* | gobj ()
| Provides access to the underlying C GObject. More...
const AtkImplementor* | gobj () const
| Provides access to the underlying C GObject. More...
Public Member Functions inherited from Glib::Interface
| Interface ()
| Interface (Interface &&src) noexcept
Interface & | operator= (Interface &&src) noexcept
| Interface (const Glib::Interface_Class &interface_class)
| Interface (GObject *castitem)
virtual | ~Interface () noexcept
| Interface (const Interface &)=delete
Interface & | operator= (const Interface &)=delete
GObject * | gobj ()
const GObject * | gobj () const
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src)
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src)
void | remove_destroy_notify_callback (void *data) const

## Static Public Member Functions
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Member Functions
| Implementor ()
| You should derive from this class to use it. More...
virtual Glib::RefPtr< Object > | ref_accessibile_vfunc ()
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Atk::Implementor > | wrap (AtkImplementor* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify

## Constructor & Destructor Documentation

Atk::Implementor::Implementor | ( |  | ) |
| protected

You should derive from this class to use it.

Atk::Implementor::Implementor | ( | Implementor&& | src | ) |
| noexcept

virtual Atk::Implementor::~Implementor | ( |  | ) |
| virtualnoexcept

## Member Function Documentation

static void Atk::Implementor::add_interface | ( | GType | gtype_implementer | ) |
| static

static GType Atk::Implementor::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

AtkImplementor* Atk::Implementor::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

const AtkImplementor* Atk::Implementor::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

Implementor& Atk::Implementor::operator= | ( | Implementor&& | src | ) |
| noexcept

virtual Glib::RefPtr<Object> Atk::Implementor::ref_accessibile_vfunc | ( |  | ) |
| protectedvirtual

## Friends And Related Function Documentation

Glib::RefPtr< Atk::Implementor > wrap | ( | AtkImplementor * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.